<template>
    <div>
        {{ this.distanceTotalToDo }}
        {{ this.distanceTotalDone }}
    </div>
</template>

<script>
    export default {
        name: "DetailDepart",
        data:() =>  ({
            distanceTotalToDo : 0,
            distanceTotalDone : 0
        }),
        props: ['points'],
        mounted() {
            this.points.forEach((point) => {
                this.distanceTotalToDo += point.distance_to_do
                this.distanceTotalDone += point.distance_done
            })
            this.distanceTotalToDo =  this.distanceTotalToDo / 1000
            this.distanceTotalDone =  this.distanceTotalDone / 1000
        },
        computed: {
        }
    }
</script>

<style scoped>

</style>